Check validity of a list of IBANs and get their BICs: `POST /collection/ibans/validity-and-bic`.
Check validity of an IBAN and get its enhanced details: `POST /ibans/enchanced-details`.
Search for identifiers associated to institutions: `GET /identifiers`.
`collection`: related to endpoints that process multiple identifiers with a single request.
`identifiers`: related to endpoints dealing with institution identifiers.
Changed
Refactored with shared response schema `FormallyInvalidIban` on Check validity of an IBAN, with SEPA-only option: `POST /ibans/validity`.
Removed `user_message: Wrong URL format` from responses with HTTP code 400, since IBAN is not part of URL on Check validity of an IBAN, with SEPA-only option: `POST /ibans/validity`.
Removed `user_message: Wrong URL format` from responses with HTTP code 400, since IBAN is not part of URL on Get the BIC for an IBAN: `POST /ibans/bic`.
Switched all **SWIFT** occurrences within comments to **Swift**.
Reformatted all XML examples.
August 15 2025
v5.0.2Live
Added
Added examples of input parameters.
Added all positive response examples.
Added X-Request-ID header to all responses.
Added city as optional attribute.
Made address_line_1 attribute optional.
Documented all tags by a root element.
Changed
Extended maximum length of sepa_scheme parameter from 4 to 7 characters, to allow SCTINST value on Validate SEPA reachability of a BIC endpoint.
Updated definition of LanguageScript, not corresponding to only ISO 15924 anymore on Get details of a National ID endpoint.